summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author David Somero <dsomero@hotmail.com>2010-05-13 00:35:07 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:35:07 +0200
commitac04e589d7847a4e5a48cd83b5234f700a5d3522 (patch)
treec960ac1fbf9a0687bf79740923bacad3cdc1773b /multimedia
parentd633cf25de333328a1e3d982b301828f54cbed86 (diff)
downloadslackbuilds-ac04e589d7847a4e5a48cd83b5234f700a5d3522.tar.gz
slackbuilds-ac04e589d7847a4e5a48cd83b5234f700a5d3522.tar.xz
multimedia/mythtv: Updated for version 0.22
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/mythtv/README12
-rw-r--r--multimedia/mythtv/README.SLACKWARE11
-rw-r--r--multimedia/mythtv/doinst.sh7
-rw-r--r--multimedia/mythtv/mythtv.SlackBuild66
-rw-r--r--multimedia/mythtv/mythtv.info8
-rw-r--r--multimedia/mythtv/slack-desc14
6 files changed, 68 insertions, 50 deletions
diff --git a/multimedia/mythtv/README b/multimedia/mythtv/README
index 4178d93473..0a9b5ca995 100644
--- a/multimedia/mythtv/README
+++ b/multimedia/mythtv/README
@@ -3,14 +3,6 @@ mythical home media convergence box on your own using Open Source software
and operating systems. MythTV is known to work on Linux and Mac OS X
(PowerPC and Intel).
-You need to create a database before you can run mythtv:
- > mysql -u root -p < /usr/share/mythtv/database/mc.sql
+See README.SLACKWARE after installation for setup information.
-Then run mythtv-setup to configure mythtv
- > mythtv-setup
-
-Detailed instructions for mythtv can be found here:
- http://www.mythtv.org/wiki/index.php/User_Manual:Initial_Installation
-
-Mythtv requires lame, and optionally can use xmltv (to create the program
-listings if you live outside of North America) and lirc (for IR remote control)
+This requires yasm and lame, and optionally xmltv_prereq, xmltv, and lirc.
diff --git a/multimedia/mythtv/README.SLACKWARE b/multimedia/mythtv/README.SLACKWARE
new file mode 100644
index 0000000000..d7d22e2b65
--- /dev/null
+++ b/multimedia/mythtv/README.SLACKWARE
@@ -0,0 +1,11 @@
+README.SLACKWARE for mythtv
+
+You need to create a database before you can run mythtv:
+ # mysql -u root -p < /usr/share/mythtv/database/mc.sql
+
+Then run mythtv-setup to configure mythtv
+ # mythtv-setup
+
+Detailed instructions for mythtv can be found here:
+ http://www.mythtv.org/wiki/index.php/User_Manual:Initial_Installation
+
diff --git a/multimedia/mythtv/doinst.sh b/multimedia/mythtv/doinst.sh
index 5d5f5807dd..144a5eb808 100644
--- a/multimedia/mythtv/doinst.sh
+++ b/multimedia/mythtv/doinst.sh
@@ -20,10 +20,3 @@ fi
config etc/rc.d/rc.mythbackend.new
-echo
-echo "Extra configuration needed..."
-echo
-echo "A mythtv mysql database needs to be setup and"
-echo "mythtv-setup has to be run; see the README."
-echo
-
diff --git a/multimedia/mythtv/mythtv.SlackBuild b/multimedia/mythtv/mythtv.SlackBuild
index a240d54dfc..0dc281b57d 100644
--- a/multimedia/mythtv/mythtv.SlackBuild
+++ b/multimedia/mythtv/mythtv.SlackBuild
@@ -3,7 +3,7 @@
# Slackware build script for mythtv
# http://www.mythtv.org/
-# Copyright 2006-2007 David Somero (dsomero@hotmail.com)
+# Copyright 2006-2009 David Somero (dsomero@hotmail.com) Athens,TN USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,8 +24,8 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=mythtv
-VERSION=0.21
-ARCH=${ARCH:-i686}
+VERSION=0.22
+ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -34,6 +34,17 @@ TMP=${TMP:-/tmp/SBo}
PKG=${TMP}/package-${PRGNAM}
OUTPUT=${OUTPUT:-/tmp}
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
set -e
rm -rf $PKG
@@ -49,54 +60,63 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir-name=lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
--compile-type=release \
--disable-ccache \
--disable-distcc \
--disable-dbox2 \
--disable-hdhomerun \
- --arch=$ARCH \
- --tune=i686 \
- --cpu=$ARCH \
--enable-dvb \
--dvb-path=/usr/include \
- --with-bindings=perl \
+ --with-bindings="perl,python" \
--enable-xvmc \
- --enable-opengl-vsync
+ --enable-xvmcw \
+ --disable-xvmc-vld \
+ --enable-xrandr \
+ --enable-xv \
+ --enable-x11 \
+ --enable-opengl-vsync \
+ --cpu=$ARCH
-qmake $PRGNAM.pro
+qmake $PRGNAM.pro
make
-make \
+make install \
INSTALLDIRS=vendor \
- INSTALL_ROOT="$PKG" \
- install
+ INSTALL_ROOT="$PKG"
# Copy some other needed stuff to /usr/share/mythtv
cp -a database contrib $PKG/usr/share/$PRGNAM
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING FAQ keys.txt README UPGRADING docs/* \
- $PKG/usr/doc/$PRGNAM-$VERSION
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-( cd $PKG/usr/doc ; ln -s $PRGNAM-$VERSION $PRGNAM )
-
# Install init script
install -D -m 0755 $CWD/rc.mythbackend.new $PKG/etc/rc.d/rc.mythbackend.new
-# Remove perlocal.pod and .packlist from $PKG
+# Remove perllocal.pod and other special files that don't need to be installed
( cd $PKG
- find . -name "perllocal.pod" -o -name ".packlist" -o -name "*.bs" | xargs rm -f
+ find . -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f
)
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
)
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING FAQ keys.txt README UPGRADING docs/* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README.SLACKWARE > $PKG/usr/doc/$PRGNAM-$VERSION/README.SLACKWARE
+( cd $PKG/usr/doc ; ln -s $PRGNAM-$VERSION $PRGNAM )
+
mkdir -p $PKG/install
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/mythtv/mythtv.info b/multimedia/mythtv/mythtv.info
index c00af7d16d..3e89555bd5 100644
--- a/multimedia/mythtv/mythtv.info
+++ b/multimedia/mythtv/mythtv.info
@@ -1,8 +1,10 @@
PRGNAM="mythtv"
-VERSION="0.21"
+VERSION="0.22"
HOMEPAGE="http://www.mythtv.org/"
-DOWNLOAD="http://ftp.osuosl.org/pub/mythtv/mythtv-0.21.tar.bz2"
-MD5SUM="49fc135e1cde90cd935c1229467fa37e"
+DOWNLOAD="http://ftp.osuosl.org/pub/mythtv/mythtv-0.22.tar.bz2"
+MD5SUM="e8f8b5b6a51cd7be700e215b2a1bf2c0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="David Somero"
EMAIL="dsomero@hotmail.com"
APPROVED="rworkman"
diff --git a/multimedia/mythtv/slack-desc b/multimedia/mythtv/slack-desc
index 9f22689749..e05f6b50d2 100644
--- a/multimedia/mythtv/slack-desc
+++ b/multimedia/mythtv/slack-desc
@@ -6,14 +6,14 @@
# leave one space after the ':'.
|-----handy-ruler-----------------------------------------------------|
-mythtv: MythTV (http://www.mythtv.org/)
-mythtv:
+mythtv: mythtv ( mythical home media convergence PVR/DVR )
+mythtv:
mythtv: MythTV is a GPL licensed suite of programs that allow you
mythtv: to build the mythical home media convergence (PVR / DVR)
mythtv: box on your own using Open Source software and operating
mythtv: systems.
-mythtv:
-mythtv:
-mythtv:
-mythtv:
-mythtv:
+mythtv:
+mythtv: Homepage: http://www.mythtv.org/
+mythtv:
+mythtv:
+mythtv: